SyncRetrieve connection

Retrieve connection

Fetch a single connection owned by the calling agency.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/airbyte/connections/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": {
    "id": "example_string",
    "client_id": "acme-retail",
    "agency_id": "example_string",
    "platform": "google_ads",
    "connection_id": "example_string",
    "source_id": "example_string",
    "display_name": "Google Ads - acme-retail",
    "account_id": "123-456-7890",
    "status": "active",
    "sync_frequency": "manual",
    "sync_hour_utc": 8,
    "sync_dow": 1,
    "tables_json": [
      {}
    ],
    "companions": [
      {}
    ],
    "pipeline": {
      "enrolled": true,
      "reason": "example_string",
      "pipeline_id": "example_string",
      "connection_ids": [
        "example_string"
      ],
      "pipeline_enabled": true
    },
    "last_sync_at": "2024-12-25T10:00:00Z",
    "last_sync": {
      "job_id": 123,
      "success": true,
      "landed": true,
      "finished_at": "2024-12-25T10:00:00Z",
      "started_at": "2024-12-25T10:00:00Z",
      "duration_seconds": 42,
      "records_committed": 42,
      "records_emitted": 42,
      "records_filtered_out": 42,
      "bytes_committed": 42,
      "error_type": "transient_error",
      "error_origin": "destination",
      "error_message": "example_string",
      "log_url": "example_string"
    },
    "consecutive_failures": 0,
    "error_message": "example_string",
    "created_at": "2024-12-25T10:00:00Z"
  }
}
GET
/connections/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key as bearer token, format Bearer ak_.... Grants full read-write access scoped to the agency. Agency-wide scoped keys (mcp_ with no fixed location) are accepted too and need airbyte:read or airbyte:write; a client-bound mcp_ key gets 403 agency_key_required. See Using an mcp_ key over HTTP.

Agency key as bearer token, format Bearer ak_.... Grants full read-write access scoped to the agency. Agency-wide scoped keys (mcp_ with no fixed location) are accepted too and need airbyte:read or airbyte:write; a client-bound mcp_ key gets 403 agency_key_required. See Using an mcp_ key over HTTP.
Bearer Token
Bearer Tokenstring
Required

Location secret key as bearer token, format Bearer sk_.... Grants read-only access; the agency is resolved from the location. Write endpoints return 403.

Location secret key as bearer token, format Bearer sk_.... Grants read-only access; the agency is resolved from the location. Write endpoints return 403.
path
idstring
Required

Mythic connection record identifier (the local UUID, not the Airbyte connection ID).

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key as bearer token, format Bearer ak_.... Grants full read-write access scoped to the agency. Agency-wide scoped keys (mcp_ with no fixed location) are accepted too and need airbyte:read or airbyte:write; a client-bound mcp_ key gets 403 agency_key_required. See Using an mcp_ key over HTTP.

header
Authorizationstring
Required

Bearer token. Location secret key as bearer token, format Bearer sk_.... Grants read-only access; the agency is resolved from the location. Write endpoints return 403.

Path Parameters

idstring
Required

Mythic connection record identifier (the local UUID, not the Airbyte connection ID).

Responses

successboolean
dataobject